# Subgroup class

(Shortest import: `from brian2 import Subgroup)`

class brian2.groups.subgroup.Subgroup(*args, **kw)

  Bases: `Group`, `SpikeSource`

  Subgroup of any `Group`

  Parameters:

    source : SpikeSource

    > The source object to subgroup.

    start, stop : int

    > Select only spikes with indices from `start` to `stop-1`.

    name : str, optional

    > A unique name for the group, or use `source.name+'_subgroup_0'`, etc.

  Attributes

  `spikes` |

  Details

  spikes